Bug 807503 - xfs contention problem
Summary: xfs contention problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Dave Chinner
QA Contact: Boris Ranto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 01:49 UTC by Vadim Tkachenko
Modified: 2013-02-21 06:05 UTC (History)
6 users (show)

Fixed In Version: kernel-2.6.32-328.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 06:05:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0496 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-02-20 21:40:54 UTC

Description Vadim Tkachenko 2012-03-28 01:49:26 UTC
Description of problem:

As reported in http://www.mysqlperformanceblog.com/2012/03/15/ext4-vs-xfs-on-ssd/
and
in commented
http://www.mysqlperformanceblog.com/2012/03/15/ext4-vs-xfs-on-ssd/comment-page-1/#comment-903938

There is contention problem in XFS, and the fix is available

http://oss.sgi.com/archives/xfs/2012-02/msg00219.html

Would be good to have a fix in RedHat, as it allows to gain performance 4x.

Version-Release number of selected component (if applicable):

RedHat 6.2

Comment 2 Eric Sandeen 2012-03-28 03:54:22 UTC
Not an xfsdump bug.

Comment 3 Eric Sandeen 2012-07-06 20:09:06 UTC
FWIW, that patch is not yet upstream.  I'll leave it to Dave's judgement about when it may be ready for RHEL backport.

Comment 4 Dave Chinner 2012-07-10 03:46:31 UTC
(In reply to comment #3)
> FWIW, that patch is not yet upstream.  I'll leave it to Dave's judgement
> about when it may be ready for RHEL backport.

The patch was superceded by this series of commits:

507630b xfs: use shared ilock mode for direct IO writes by default
193aec1 xfs: push the ilock into xfs_zero_eof
f38996f xfs: reduce ilock hold times in xfs_setattr_size
467f789 xfs: reduce ilock hold times in xfs_file_aio_write_checks
b4d05e3 xfs: avoid taking the ilock unnessecarily in xfs_qm_dqattach

which have gone upstream into 3.5-rc1. I'll be backporting those....

Cheers,

Dave.

Comment 5 Eric Sandeen 2012-08-27 23:42:55 UTC
Assigning over to Dave, given the last comment.

Comment 6 RHEL Product and Program Management 2012-09-20 20:50:48 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 7 Dave Chinner 2012-09-25 02:19:15 UTC
Posted to rhkernel-list:

http://post-office.corp.redhat.com/archives/rhkernel-list/2012-September/msg02828.html

Comment 9 Jarod Wilson 2012-10-10 20:09:14 UTC
Patch(es) available on kernel-2.6.32-328.el6

Comment 14 errata-xmlrpc 2013-02-21 06:05:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html


Note You need to log in before you can comment on or make changes to this bug.